@import "tailwindcss/base";
@import "tailwindcss/components";
@import "tailwindcss/utilities";


body, .login-pf body, .login-pf {
  @apply bg-gray-50;
  font-size: 1rem;
}

.login-pf {
  background: rgba(249, 250, 251, var(--tw-bg-opacity)) !important;
}

.login-pf-page {
  @apply min-h-screen bg-gray-50 flex flex-col justify-center py-12 sm:px-6 lg:px-8;
}

#kc-header, .login-pf-page-header {
  @apply m-0;
}

#kc-header-wrapper {
  background-image: url(../img/logo.svg);
  background-size: 14rem;
  @apply h-32 w-full bg-no-repeat bg-center text-transparent;
}

#kc-locale-wrapper {
  @apply mb-2
}

div.kc-logo-text span {
  @apply hidden;
}

.card-pf {
  @apply mt-4 sm:mx-auto sm:w-full sm:max-w-md bg-white py-8 px-4 shadow sm:rounded-lg sm:px-4;
}

form {
  @apply space-y-6;
}

.form-group label {
  @apply block text-sm font-medium text-gray-700 cursor-default;
}

.form-group input {
  @apply appearance-none block w-full border border-gray-300 rounded-md shadow-sm placeholder-gray-400 focus:outline-none focus:ring-ciam_medium focus:border-ciam_medium sm:text-sm;
}

.login-pf-header h1 {
  @apply mt-2 text-center text-3xl font-extrabold text-gray-900 mb-4;
}

#id-hidden-input {
  @apply hidden;
}

#kc-login {
  @apply w-full flex justify-center py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-ciam_medium hover:bg-ciam_dark focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-ciam_light;
}

#rememberMe {
  @apply h-4 w-4 text-ciam_medium focus:ring-ciam_medium border-gray-300 rounded;
}

#kc-form-options label {
  @apply block text-sm text-gray-900;
}

.login-pf-settings {
  @apply flex items-baseline;
}

.login-pf-settings div span a {
  @apply font-medium text-sm text-ciam_medium hover:text-ciam_medium no-underline;
}

.login-pf-settings div span a:hover {
  @apply no-underline;
}

#kc-registration a {
  @apply font-medium text-ciam_medium hover:text-ciam_medium;
}

#kc-registration a:hover {
  @apply no-underline;
}

.form-group input[type="checkbox"] {
  @apply p-0;
  @apply w-4;
}

.login-pf-page .login-pf-signup {
  @apply mt-5;
}

.checkbox, .radio {
  position: inherit;
  display: flex;
  margin-top: 0;
  margin-bottom: 0;
}

.card-pf .form-group:last-child {
  @apply flex flex-col-reverse justify-center items-center
}

.card-pf #kc-form-options {
  @apply mt-2;
}

.form-group-cgu {
  @apply flex justify-center items-center flex-row;
}

.form-group-cgu {
  margin-left: -1px !important;
}

.form-group-cgu input {
  @apply h-4 w-4 text-ciam_medium focus:ring-ciam_medium border-gray-300 rounded mb-0.5;
}

.form-group-cgu label {
  @apply ml-2 block text-sm text-gray-900 mb-0;
}

.form-group-cgu label a {
  @apply font-medium text-ciam_medium hover:text-ciam_medium;
}

.pf-c-dropdown__menu {
  @apply hidden -mt-2.5;
}

.pf-c-dropdown__menu:hover {
  @apply block;
}

#kc-current-locale-link {
  @apply font-medium text-ciam_medium hover:text-ciam_medium;
}

#kc-current-locale-link:hover + .pf-c-dropdown__menu {
  @apply block;
}

#kc-terms-text {
  margin-bottom: 40px;
  text-align: justify;
}

#kc-form-buttons input {
  margin-top: 20px;
}

.pf-c-button {
  @apply w-full flex py-2 px-4 border border-transparent rounded-md justify-center text-sm font-medium focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-ciam_light;
}

.pf-c-button.pf-m-primary {
  @apply shadow-sm text-white bg-ciam_medium hover:bg-ciam_dark
}

.pf-c-button.btn-default {
  @apply shadow-none bg-none bg-white text-ciam_medium hover:text-ciam_medium;
}

.password-toggle-button {
  width: max-content;
}
.form-social-title{
  cursor: default;
  --tw-text-opacity: 1;
  color: rgba(63,63,70,var(--tw-text-opacity));
  font-size: .875rem;
  font-weight: 500;
  line-height: 1.25rem;
  display: block;
  margin-top: 1rem;
  margin-bottom: 0.5rem;
}

#kc-social-providers{
  border: solid 1px lightgrey;
  border-radius: .1rem;
  padding: 1rem;
}

#kc-social-providers-message{
  font-size: 1.1rem;
}
#kc-social-providers-title{
  font-size: 1.2rem;
  font-weight: bolder;
}
#in-between-or{
  font-size: 1.8rem;
  font-weight: bold;
  text-align: center;
  margin: 1rem 0 1rem;
}
#kc-not-social-providers-title{
  font-size: 1.2rem;
  font-weight: bolder;
}

#kc-form-login{
  border: solid 1px lightgrey;
  border-radius: 0.1rem;
  padding: 1rem;
}
.login-pf-settings{
  display:flex;
  justify-content: space-between;
}